Sargen asentaminen

Debian GNU/Linux 3.1:n sijalle on julkaistu Debian GNU/Linux 4.0 (etch). Osa näistä asennusvedoksista ei ole enää saatavilla, tai ei enää toimi, ja siksi suosittelemme asentamaan etchin sen sijaan.

Asentaaksesi Debian GNU/Linux 3.1r8:n (sarge), imuroi jokin seuraavista vedoksista.

verkkoasennus-CD:n vedos (100 Mt)

käyntikortti-CD:n vedos (50 Mt)

muut vedokset (verkkokäynnistys, usb-tikku, levyke, nauha jne.)

Ohjeet

Jos haluat lukea vain yhden dokumentin ennen asennusta, lue Asennus-HOWTO, pikainen läpivalaisu asennusprosessista. Muita hyödyllisiä ohjeita ovat:

Ongelmat

Tämä on luettelo Debian GNU/Linux 3.1r8 mukana tulleen asentimen tunnetuista ongelmista. Jos sinulla on ongelma Debianin asentamisessa etkä löydä ongelmaa mainittuna täällä, lähetä meille asennusraportti, jossa kuvaat ongelman. Voit myös tarkistaa wikistä muita tunnettuja ongelmia.

Julkaisun 3.1r8 ongelmat

Ei muutoksia julkaisuun 3.1r7 verrattuna.

Julkaisun 3.1r7 ongelmat

3.1r6:ssa ilmennyt aiemman vakaan julkaisun verkkoasennusta koskeva ongelma on ratkaistu. Kaikki 3.1r7:n asennus-CD:t ja muut asennusvedokset tukevat jälleen Sargen asennusta verkosta.

Desktop environment -tehtävän asennus saattaa epäonnistua asennettaessa täydeltä CD:ltä. Tämä johtuu siitä että OpenOffice-pakettia ei ole ensimmäisellä CD:llä, mutta joillekin openoffice.org-paketeille löytyy kuitenkin tietoturvapäivityksiä verkkopalvelimelta.
Ongelman voi kiertää valitsemalla vaihtoehdon valitse paketit itse desktop-tehtävää valittaessa. Tämän jälkeen aptitude näyttää asennettavat paketit. Etsi openoffice.org-bin-paketti ja poista sen valinta painamalla näppäintä - ja jatka asennusta painamalla näppäintä g.
Toinen vaihtoehto ongelman välttämiseksi on verkkopalvelimen lisääminen tai toisen täyden CD:n lisääminen pakettilähteeksi apt:n asetuksia tehtäessä.

Julkaisun 3.1r6 ongelmat

Tässä julkaisussa on korjattu 3.1r5:ssä ilmennyt ytimen valintaan liittyvä ongelma.

Koska sarge ei ole enää vakaa julkaisu, vaan aiempi vakaa, asennin hakee peilipalvelimilta väärät paketit. Tämä koskee asennuksia joissa pakettilähteenä käytetään peilipalvelimia, esim. verkkoasennus- ja käyntikortti-CD:ltä asennettaessa. Sargen voi edelleenkin asentaa verkkoasennus- sekä muilta täysiltä CD/DVD-levyiltä, kunhan varmistetaan ennen pakettien verkosta latausta että /etc/apt/sources.list-tiedoston peilipalvelimien pakettilähteinä ei ole stable vaan sarge. Suomeksi sanottuna tämä tarkoittaa sitä että peilipalvelimia ei voi käyttää asennuksen aikana!

Julkaisun 3.1r5 ongelmat

Asennin saattaa valita väärän ytimen järjestelmälle. Vika koskee seuraavia arkkitehtuureja: i386, hppa, ia64 ja s390.
Ongelman voi kiertää käynnistämällä asennin parametrilla debconf/priority=medium. Tämän jälkeen esille tulevasta luettelosta voi valita omalle järjestelmälle sopivan ytimen.

Julkaisun 3.1r4 ongelmat

Julkaisu 3.1r4 ei sisällä päivityksiä asentimeen, poislukien sparc32:n julkaisussa 3.1r3 ilmennyt ongelma joka korjattiin tässä julkaisussa. Alla luetellut 3.1r3:a koskevat huomautukset ovat yhä voimassa.

Julkaisun 3.1r3 ongelmat

Alla mainitun Sarge 3.1r0:n alkuperäisen ongelmaraportin lisäksi, seuraavat seikat tulee huomioida liittyen 3.1r3-julkaisun päivitettyyn asentimeen. (r1 ja r2 eivät sisältäneet asentimen päivityksiä).

Tässä julkaisussa tapahtuneen ytimen päivityksen myötä, jotkut alunperin sarge 3.1r0:n kanssa julkaistut asentimen vedokset eivät enää toimi asentimen lataaman ytimen ja myöhemmin ladattavien ytimen udebien yhteensopimattomuuden vuoksi. Tämä koskee kaikkia asennustapoja joissa udebit ladataan verkosta, esim. levyke- ja verkkokäynnistysasennukset. Päivitettyjen asennusvedosten pitäisi toimia oikein.
Tämä ei koske CD:ltä tapahtuvia asennuksia, joten voit edelleen käyttää aiempien sarge-julkaisujen CD/DVD-vedoksia.

Julkaisun 3.1r0 ongelmat

Asennusjärjestelmän parempia versioita kehitetään seuraavaan Debianin julkaisuun, ja uusia versioita voi käyttää myös sargen asentamiseen. Tarkempia tietoja on Debian-asentimen projektisivulla.

Asennusohjelma sokeille - "speakup"

Debian tarjoaa i386-arkkitehtuurille asennusohjelman erikoisversion, jossa on tuki braille-näytöille. Täydellinen luettelo tuetuista näyttömalleista löytyy brltty:n dokumentaatiosta.